Skip to content

Visitors Age GET

URL: https://api.painelalter.com/api/v2/visitorsProfile/getAge?dateBegin=2023-03-17&dateEnd=2023-03-18

Retrieves visitor age statistics between two specific dates for all stores registered under a user.

The response includes 4 age ranges:

  • 0-18
  • 19-40
  • 41-60
  • 60+

These ranges were defined considering the best way to segment customer purchasing profiles.

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)

Response Example

json
{
  "2023-03-17": {
    "1": {
        "0-18": 4.89,
        "19-40": 41.25,
        "41-60": 53.84,
        "61+": 0
    },
    "2": {
        "0-18": 13.33,
        "19-40": 39.04,
        "41-60": 32.38,
        "61+": 15.23
    },
    "3": {
        "0-18": 14.28,
        "19-40": 28.57,
        "41-60": 42.85,
        "61+": 14.28
    }
  },
  "2023-03-18": {
    "1": {
        "0-18": 4.89,
        "19-40": 41.25,
        "41-60": 53.84,
        "61+": 0
    },
    "2": {
        "0-18": 13.33,
        "19-40": 39.04,
        "41-60": 32.38,
        "61+": 15.23
    },
    "3": {
        "0-18": 14.28,
        "19-40": 28.57,
        "41-60": 42.85,
        "61+": 14.28
    }
  }
}